[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.InsertRecord

Insert a new record with given values.

## Declaration

Source position: db.pas line 1604

`public procedure TDataSet.InsertRecord(`
`const Values: array of Const`
`);`

## Arguments

`Values` |  | Values to apply

## Description

InsertRecord is not yet implemented in Free Pascal. It does nothing.

## See also

TDataset.Insert |  | Insert a new record at the current position.
TDataset.SetFieldValues

Documentation generated on: Feb 26 2014